aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite
diff options
context:
space:
mode:
authorTristan Gingold <tgingold@free.fr>2022-10-11 06:31:39 +0200
committerTristan Gingold <tgingold@free.fr>2022-10-11 06:31:39 +0200
commit7fc415a0cd6f6504e0fefb6f960dd4cbc7fbf047 (patch)
treee2c0adbef3e72d1ed88b3bbb62ef8760ab00028a /testsuite
parent5f1cfe42cf2aeea6250c4575daeff42cea4c02dc (diff)
downloadghdl-7fc415a0cd6f6504e0fefb6f960dd4cbc7fbf047.tar.gz
ghdl-7fc415a0cd6f6504e0fefb6f960dd4cbc7fbf047.tar.bz2
ghdl-7fc415a0cd6f6504e0fefb6f960dd4cbc7fbf047.zip
testsuite/suite_driver.sh: disp log in case of failure
Diffstat (limited to 'testsuite')
-rwxr-xr-xtestsuite/suite_driver.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/testsuite/suite_driver.sh b/testsuite/suite_driver.sh
index 6b3df39fa..1e9db3d26 100755
--- a/testsuite/suite_driver.sh
+++ b/testsuite/suite_driver.sh
@@ -36,7 +36,7 @@ parse_cmdline () {
esac
done
- NPROC=${NPROC:-$(nproc 2> /dev/null || echo 1)}
+ NPROC=${NPROC:-$(nproc 2> /dev/null || sysctl -n hw.ncpu 2> /dev/null || echo 1)}
}
singlerun() {
@@ -48,6 +48,7 @@ singlerun() {
printf "$_suite $1: ${ANSI_RED}failed${ANSI_NOCOLOR}\n"
printf '%s ' "$1" >> ../failures.log
if [ x"$2" = x"n" ]; then
+ cat test.log
exit 1;
fi
fi